function init()
	gun.name = "Spawner interceptor"
	gun.fireDelay = 1000
	gun.shotrange = 1200
	gun.shotspeed = 0
	gun.shotdamage = 0
	
	return 0
end


function update()

	return 0
end


function fire()

	fx = gun.firex
	fy = gun.firey
	faction = gun.owner.faction

	for i = 1, math.random(1,2) do
		--create a minion
		spawnx = fx + math.random(-200, 200)
		spawny = fy + math.random(-200, 200)
		
		if math.random(1,4) == 4 then
			stage.warpShip("Turret", "", spawnx, spawny, faction, "", 500)
		else
			stage.warpShip("Interceptor", "", spawnx, spawny, faction, "", 500)
		end
	end
		
	return 0
end

function shot_update()

	return 0
end